/******************************************************************************************/
/******************************************************************************************/
/*                                                                                        */
/* Trigger: DTULTATU_GRUPROMOC                                                            */
/* Tabela : GRUPROMOC                                                                     */
/*                                                                                        */
/* Criao:                                                                               */
/* 15/09/2008 - Leonardo Matos                                                            */
/*                                                                                        */
/******************************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_GRUPROMOC'  and
            type = 'TR' and
            u.uid = o.uid and
            u.name = USER)
   DROP TRIGGER DTULTATU_GRUPROMOC
GO

CREATE TRIGGER DTULTATU_GRUPROMOC
ON GRUPROMOC
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                      (SELECT 'GRUPROMOC', NULL, 'CDGRUPROMOC='+CDGRUPROMOC+';', GETDATE() FROM DELETED)
   END ELSE BEGIN
      UPDATE GRUPROMOC
      SET DTULTATUGPPRC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(GRUPROMOC.CDGRUPROMOC,0) = ISNULL(INSERTED.CDGRUPROMOC,0)) AND
            (ISNULL(GRUPROMOC.NMGRUPROMOC,0) = ISNULL(INSERTED.NMGRUPROMOC,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_GRUPROMOC','5.05.023';
GO
